cURL
curl --request GET \
--url https://api.altur.io/api/v1.0/call/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.altur.io/api/v1.0/call/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.altur.io/api/v1.0/call/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"thread_id": "<string>",
"thread": {
"id": "<string>",
"agent": {
"id": "<string>",
"name": "<string>"
},
"end_user": {
"id": "<string>",
"display_name": "<string>",
"integration_type": "api",
"info": "<string>"
},
"integration": {
"id": "<string>",
"type": "api"
},
"updated_at": "2023-11-07T05:31:56Z",
"active": true,
"blocked": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "blue"
}
],
"assigned_to": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
]
},
"type": "inbound",
"status": "created",
"answered_by": "human",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"ended_by": "agent",
"ended_reason": "<string>",
"duration": 123,
"billed_duration": 123,
"policy_evaluation": {
"score": 123,
"policies_evaluated_count": 123,
"policies_met_count": 123,
"policies_not_applicable_count": 123,
"completed": true,
"completed_at": "2023-11-07T05:31:56Z",
"policies": [
{
"policy_id": "<string>",
"policy_name": "<string>",
"result": "met",
"explanation": "<string>",
"evaluated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Calls
Retrieve Call
Returns the Call corresponding to the given identifier
GET
/
call
/
{id}
cURL
Authorizations
Add api-key YOUR_API_SECRET_KEY as the value of the Authorization header.
Path Parameters
The identifier of the Call to return
Response
Call response
Unique identifier for the Call
Unique identifier of the Thread the Call belongs to
Show child attributes
Show child attributes
Type of the Call
Available options:
inbound, outbound Status of the Call
Available options:
created, queued, ringing, in-progress, forwarding, ended, busy, no-answer, failed Who or what answered the Call
Available options:
human, machine, unknown Datetime from when the Call was created
Datetime from when the Call was started
Datetime from when the Call was ended
Who ended the Call (agent, user or system). Empty if the call never connected
Available options:
agent, user, system, Brief reason why the Call ended. Empty if not available
Duration of the Call in seconds
Billed duration of the Call in seconds
Policy compliance evaluation results
Show child attributes
Show child attributes